#!/bin/sh

# clean all classes in client and server directory
rm client/*.class
rm server/*.class

# compile all server classes
javac -d ./server/ -classpath server server/*.java

# generate the sub for the server
rmic -d ./server/ -classpath server Server

# The remote interface is needed to compile the client
cp server/ServerItf.class ./client/
javac -d ./client/ -classpath client client/*.java

cp server/Server_Stub.class ./client/
