
/**
 * Computation server interface
 *
 * @author Christophe Rippert
 */

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface ServerItf
    extends Remote {

    String ADD  = "ADD";
    String MUL  = "MUL";
    String HELP = "HELP";
    String QUIT = "QUIT";

    String SIGNATURE_STR = "Computation_server";
    String HELP_STR      = "Commands: \"add\", \"mul\", \"help\", or \"quit\"";
    String BYE_STR       = "Bye";
    String ERROR_STR     = "Error: unknown command";

    Object execute(String command,
		   int a,
		   int b)
	throws RemoteException;

}
